## com.google.gwt.user.client.ui
Interface SuggestOracle.Suggestion

All Known Implementing Classes:
  MultiWordSuggestOracle.MultiWordSuggestion

Enclosing interface:
  SuggestOracle

public static interface SuggestOracle.Suggestion

Suggestion supplied by the `SuggestOracle`. Each suggestion has a value and a display string. The interpretation of the display string depends upon the value of its oracle's `SuggestOracle.isDisplayStringHTML()`.

Method Summary
`java.lang.String` `getDisplayString()` Gets the display string associated with this suggestion.
`java.lang.Object` `getValue()` Get the value associated with this suggestion.

Method Detail

### getDisplayString

    public java.lang.String getDisplayString()

  Gets the display string associated with this suggestion. The interpretation of the display string depends upon the value of its oracle's `SuggestOracle.isDisplayStringHTML()`.

  Returns:
    the display string

### getValue

    public java.lang.Object getValue()

  Get the value associated with this suggestion.

  Returns:
    the value